Package org.apache.commons.configuration2.io

## Class VFSFileSystem

- java.lang.Object
- - org.apache.commons.configuration2.io.FileSystem
  - - org.apache.commons.configuration2.io.DefaultFileSystem
    - - org.apache.commons.configuration2.io.VFSFileSystem

-     public class VFSFileSystem
      extends DefaultFileSystem

  FileSystem that uses Apache Commons VFS.
  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VFSFileSystem()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBasePath​(String path)` |
    `String` | `getFileName​(String path)` |
    `InputStream` | `getInputStream​(URL url)` |
    `OutputStream` | `getOutputStream​(URL url)` |
    `String` | `getPath​(File file, URL url, String basePath, String fileName)` |
    `URL` | `getURL​(String basePath, String file)` |
    `URL` | `locateFromURL​(String basePath, String fileName)` |

    - ### Methods inherited from class org.apache.commons.configuration2.io.DefaultFileSystem

      `getInputStream, getOutputStream`

    - ### Methods inherited from class org.apache.commons.configuration2.io.FileSystem

      `getFileOptionsProvider, getLogger, setFileOptionsProvider, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSFileSystem

          public VFSFileSystem()

  - ### Method Detail

    - #### getBasePath

          public String getBasePath​(String path)

      Overrides:
        `getBasePath` in class `DefaultFileSystem`

    - #### getFileName

          public String getFileName​(String path)

      Overrides:
        `getFileName` in class `DefaultFileSystem`

    - #### getInputStream

          public InputStream getInputStream​(URL url)
                                     throws ConfigurationException

      Overrides:
        `getInputStream` in class `DefaultFileSystem`
      Throws:
        `ConfigurationException`

    - #### getOutputStream

          public OutputStream getOutputStream​(URL url)
                                       throws ConfigurationException

      Overrides:
        `getOutputStream` in class `DefaultFileSystem`
      Throws:
        `ConfigurationException`

    - #### getPath

          public String getPath​(File file,
                                URL url,
                                String basePath,
                                String fileName)

      Overrides:
        `getPath` in class `DefaultFileSystem`

    - #### getURL

          public URL getURL​(String basePath,
                            String file)
                     throws MalformedURLException

      Overrides:
        `getURL` in class `DefaultFileSystem`
      Throws:
        `MalformedURLException`

    - #### locateFromURL

          public URL locateFromURL​(String basePath,
                                   String fileName)

      Overrides:
        `locateFromURL` in class `DefaultFileSystem`